gconfmm 2.28.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Gnome::Conf::Error Class Reference

Exception class for Gnome::Conf::Client errors. More...

Inheritance diagram for Gnome::Conf::Error:
[legend]
Collaboration diagram for Gnome::Conf::Error:
[legend]

List of all members.

## Public Types
enum | Code { SUCCESS = 0, NO_SERVER = 2, NO_PERMISSION = 3, BAD_ADDRESS = 4, PARSE_ERROR = 6, CORRUPT = 7, TYPE_MISMATCH = 8, IS_DIR = 9, IS_KEY = 10, OVERRIDDEN = 11, OAF_ERROR = 12, LOCAL_ENGINE = 13, LOCK_FAILED = 14, NO_WRITABLE_DATABASE = 15, IN_SHUTDOWN = 16 }
## Public Member Functions
| Error (Code error_code, const Glib::ustring& error_message)
| Error (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gnome::Conf::Client errors.

## Member Enumeration Documentation

enum Gnome::Conf::Error::Code

Enumerator:

  SUCCESS |
  NO_SERVER |
  NO_PERMISSION |
  BAD_ADDRESS |
  PARSE_ERROR |
  CORRUPT |
  TYPE_MISMATCH |
  IS_DIR |
  IS_KEY |
  OVERRIDDEN |
  OAF_ERROR |
  LOCAL_ENGINE |
  LOCK_FAILED |
  NO_WRITABLE_DATABASE |
  IN_SHUTDOWN |

## Constructor & Destructor Documentation

Gnome::Conf::Error::Error | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Conf::Error::Error | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Conf::Error::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gconfmm/client.h